import sys

class SolverBase():
    """This class will be the parent class that all solvers inherit from"""
    def __init__(self):
        return

    def reset_solver(self):
        """Resets the solver in order to be able to solve the next word"""
        return

    def start_solving(self, filename, number_of_words = 12):
        """Begins the process of solving an entire captcha"""
        return

    def finish_solving(self, filename):
        """Finishes solving an entire captcha"""
        return

    def start_solving_word(self, filename):
        """Starts solving a word given the exact filename"""
        print "This method has not been implemented for this solver"
        sys.exit()

    def finish_solving_word(self, index):
        """Finishes solving a word given the index of the word into the number of words start_solving_word has called for"""
        print "This method has not been implemented for this solver"
        sys.exit()

    def feedback(self, correct):
        """Tells the solver that this answer was correct or not"""
        return
